import { InputArgs, InputFlags, OutputArgs, OutputFlags } from 'cli-flags';
import { Config, ConfigOptions, Plugin, ICommand } from 'cli-engine-config';
import { HTTP } from 'http-call';
import { deps } from './deps';
export declare class Command implements ICommand {
    __config: {
        _version: string;
        id?: string;
        plugin?: Plugin;
    };
    options: {
        argv?: string[];
        flags?: InputFlags;
        args?: InputArgs;
        strict?: boolean;
        description?: string;
        hidden?: boolean;
        usage?: string;
        help?: string;
        aliases?: string[];
    };
    static mock<T extends Command>(...argv: string[]): Promise<T>;
    config: Config;
    http: typeof HTTP;
    flags: OutputFlags<this['options']['flags']>;
    argv: string[];
    args: OutputArgs;
    color: typeof deps.Color.color;
    constructor(config?: ConfigOptions);
    _run(argv?: string[]): Promise<void>;
    init(): Promise<void>;
    run(): Promise<void>;
    done(): Promise<void>;
    buildHelp(): string;
    buildHelpLine(): [string, string | undefined];
}
